Page MenuHomePhabricator

Flaky PHPUnit failures on PHP 7.1 for BlueSpiceNamespaceManager
Open, Needs TriagePublic

Description

https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/BlueSpiceNamespaceManager/+/497119/ fails PHPUnit tests on PHP 7.1.

I am not a regular contributor on BlueSpice so I'm filing this task hoping that you could take a look.

Thanks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 17 2019, 10:26 PM
MarcoAurelio moved this task from Backlog to Other on the PHP 7.1 support board.Mar 17 2019, 10:27 PM
xSavitar renamed this task from PHPUnit failures on PHP 7.1 for BlueSpiceNamespaceManager to Flaky PHPUnit failures on PHP 7.1 for BlueSpiceNamespaceManager.Mar 18 2019, 12:34 PM

This is a bit difficult to investigate because jenkins logs have been garbage collected and they weren't copied here. Maybe someone could submit a DNM commit in BlueSpiceNamespaceManager and trigger PHP jobs until they fail? Or test it locally with PHP 7.1 if it's reproducible?

Pwirth added a subscriber: Pwirth.Nov 5 2019, 8:03 AM

This may has to do with php op-cache. As we recently found out, that the files in BlueSpiceFoundation/config/* - which are edited by the BlueSpiceNamespaceManager in the tests - are not invalidated fast enough in op cache to be up to date when read in again.
However i dont now if op-cache is running within the ci tests

Change 552020 had a related patch set uploaded (by Pwirth; owner: Pwirth):
[mediawiki/extensions/BlueSpiceNamespaceManager@master] Deactivate broken test.

https://gerrit.wikimedia.org/r/552020

Change 555026 had a related patch set uploaded (by ItSpiderman; owner: Pwirth):
[mediawiki/extensions/BlueSpiceNamespaceManager@REL1_31_dev] Deactivate broken test.

https://gerrit.wikimedia.org/r/555026

Change 555027 had a related patch set uploaded (by ItSpiderman; owner: Pwirth):
[mediawiki/extensions/BlueSpiceNamespaceManager@REL1_31] Deactivate broken test.

https://gerrit.wikimedia.org/r/555027

Change 555027 merged by jenkins-bot:
[mediawiki/extensions/BlueSpiceNamespaceManager@REL1_31] Deactivate broken test.

https://gerrit.wikimedia.org/r/555027

Change 555026 merged by Pwirth:
[mediawiki/extensions/BlueSpiceNamespaceManager@REL1_31_dev] Deactivate broken test.

https://gerrit.wikimedia.org/r/555026

Change 552020 merged by jenkins-bot:
[mediawiki/extensions/BlueSpiceNamespaceManager@master] Deactivate broken test.

https://gerrit.wikimedia.org/r/552020